Download it now!
Bug 102308 - Track changes: only minute precision
Summary: Track changes: only minute precision
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2016-09-20 09:13 UTC by Miklos Vajna
Modified: 2017-04-13 14:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-09-20 09:13:52 UTC
Turn on redlining in Writer, and notice that all redlines have timestamps with exact minutes, like 2016-09-20T11:13. This is quite annoying, it's not easy to see which change was done earlier and later, unless you wait lots of time between your changes.
Comment 1 Commit Notification 2016-09-20 12:40:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9dca1eef91faa710112ffd20a2b2d36b48a9287

tdf#102308 sw: improve redline timestamp precision

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-09-21 15:06:41 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f240f073d228e62afd3f60563c23626efad0df7f

Related: tdf#102308 sw: ignore seconds when combining redlines

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 pierre-yves samyn 2016-10-21 16:48:14 UTC
Hi

Not verified on windows 7/64 &  Version: 5.3.0.0.alpha1+
Build ID: 8a796410ec8f440b4163b15b928347c499da7a8f
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-20_23:07:21
Locale: fr-FR (fr_FR); Calc: group

Steps to reproduce:
1. File> New> Text
2. Edit> Track Changes> Record
3. Type ABC
4. Move the mouse cursor over the text

Expected result: tip with "Inserted UserName - 21/10/2016 18:44:30
Actual result: tip with "Inserted UserName - 21/10/2016 18:44

If I am not wrong, the purpose of the commit is to store seconds?
I reopen, sorry if it is not the right move.

Regards
Pierre-Yves
Comment 4 Miklos Vajna 2016-10-28 21:49:18 UTC
My focus was the manage changes dialog, but sure, I'll take care of the tooltip.
Comment 5 Commit Notification 2016-11-03 09:01:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea6b378221efea0392c5085d621ff38a612ade3e

tdf#102308 sw redline tooltip: show seconds

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.